import ibizbook_BO_CN from '@locale/lanres/entities/ibizbook/ibizbook_BO_CN';
import ibizsample0019_BO_CN from '@locale/lanres/entities/ibizsample0019/ibizsample0019_BO_CN';
import ibizsample0009_BO_CN from '@locale/lanres/entities/ibizsample0009/ibizsample0009_BO_CN';
import ibizcustom_BO_CN from '@locale/lanres/entities/ibizcustom/ibizcustom_BO_CN';
import ibizhardware_BO_CN from '@locale/lanres/entities/ibizhardware/ibizhardware_BO_CN';
import ibizsample0020_BO_CN from '@locale/lanres/entities/ibizsample0020/ibizsample0020_BO_CN';
import ibizsample0017_BO_CN from '@locale/lanres/entities/ibizsample0017/ibizsample0017_BO_CN';
import microcomponent_BO_CN from '@locale/lanres/entities/micro-component/micro-component_BO_CN';
import ibizsample0013_BO_CN from '@locale/lanres/entities/ibizsample0013/ibizsample0013_BO_CN';
import ibizorderdetail_BO_CN from '@locale/lanres/entities/ibizorder-detail/ibizorder-detail_BO_CN';
import ibizsample0003_BO_CN from '@locale/lanres/entities/ibizsample0003/ibizsample0003_BO_CN';
import ibizsample0006_BO_CN from '@locale/lanres/entities/ibizsample0006/ibizsample0006_BO_CN';
import ibizsample0021_BO_CN from '@locale/lanres/entities/ibizsample0021/ibizsample0021_BO_CN';
import ibizappctrl_BO_CN from '@locale/lanres/entities/ibizappctrl/ibizappctrl_BO_CN';
import ibizsoftwaresuit_BO_CN from '@locale/lanres/entities/ibizsoftware-suit/ibizsoftware-suit_BO_CN';
import ibiztaskteam_BO_CN from '@locale/lanres/entities/ibiztaskteam/ibiztaskteam_BO_CN';
import ibizsample0012_BO_CN from '@locale/lanres/entities/ibizsample0012/ibizsample0012_BO_CN';
import ibizordertype_BO_CN from '@locale/lanres/entities/ibizorder-type/ibizorder-type_BO_CN';
import ibizsample0005_BO_CN from '@locale/lanres/entities/ibizsample0005/ibizsample0005_BO_CN';
import ibizappeditor_BO_CN from '@locale/lanres/entities/ibizappeditor/ibizappeditor_BO_CN';
import ibizaccount_BO_CN from '@locale/lanres/entities/ibizaccount/ibizaccount_BO_CN';
import ibizorder_BO_CN from '@locale/lanres/entities/ibizorder/ibizorder_BO_CN';
import ibizsample_BO_CN from '@locale/lanres/entities/ibizsample/ibizsample_BO_CN';
import ibizcustomer_BO_CN from '@locale/lanres/entities/ibizcustomer/ibizcustomer_BO_CN';
import ibizcustomermg_BO_CN from '@locale/lanres/entities/ibizcustomer-mg/ibizcustomer-mg_BO_CN';
import ibizsample0014_BO_CN from '@locale/lanres/entities/ibizsample0014/ibizsample0014_BO_CN';
import ibizsample0010_BO_CN from '@locale/lanres/entities/ibizsample0010/ibizsample0010_BO_CN';
import ibizappview_BO_CN from '@locale/lanres/entities/ibizappview/ibizappview_BO_CN';
import ibizsample0018_BO_CN from '@locale/lanres/entities/ibizsample0018/ibizsample0018_BO_CN';
import ibizsample0015_BO_CN from '@locale/lanres/entities/ibizsample0015/ibizsample0015_BO_CN';
import ibizsample0001_BO_CN from '@locale/lanres/entities/ibizsample0001/ibizsample0001_BO_CN';
import ibizcustomer_intf_BO_CN from '@locale/lanres/entities/ibizcustomer-intf/ibizcustomer-intf_BO_CN';
import ibizsample0007_BO_CN from '@locale/lanres/entities/ibizsample0007/ibizsample0007_BO_CN';
import ibizsample0004_BO_CN from '@locale/lanres/entities/ibizsample0004/ibizsample0004_BO_CN';
import ibizsample0008_BO_CN from '@locale/lanres/entities/ibizsample0008/ibizsample0008_BO_CN';
import ibizappextendeditor_BO_CN from '@locale/lanres/entities/ibizappextendeditor/ibizappextendeditor_BO_CN';
import ibizcpu_BO_CN from '@locale/lanres/entities/ibizcpu/ibizcpu_BO_CN';
import ibizsample0002_BO_CN from '@locale/lanres/entities/ibizsample0002/ibizsample0002_BO_CN';
import ibizstorage_BO_CN from '@locale/lanres/entities/ibizstorage/ibizstorage_BO_CN';
import ibizsupplier_BO_CN from '@locale/lanres/entities/ibizsupplier/ibizsupplier_BO_CN';
import ibiztask_BO_CN from '@locale/lanres/entities/ibiztask/ibiztask_BO_CN';
import dynadashboard_BO_CN from '@locale/lanres/entities/dynadashboard/dynadashboard_BO_CN';
import ibizuniproduct_BO_CN from '@locale/lanres/entities/ibizuniproduct/ibizuniproduct_BO_CN';
import ibizsample0011_BO_CN from '@locale/lanres/entities/ibizsample0011/ibizsample0011_BO_CN';
import ibizsample0016_BO_CN from '@locale/lanres/entities/ibizsample0016/ibizsample0016_BO_CN';
import components_BO_CN from '@locale/lanres/components/components_BO_CN';
import codelist_BO_CN from '@locale/lanres/codelist/codelist_BO_CN';
import userCustom_BO_CN from '@locale/lanres/userCustom/userCustom_BO_CN';
import commonLogic from '@/locale/logic/common/common-logic';

function getAppLocale(){
    const data:any = {
        app: {
             commonWords:{
                error: "ཕམ་པ།",
                success: "ལེགས་འགྲུབ།",
                ok: "ངོས་འཛིན་",
                cancel: "མེད་པར་བཟོ་བ་",
                save: "ཉར་ཚགས།",
                codeNotExist: "ཚབ་ཨང་རེའུ་མིག",
                reqException: "རེ་ཞུའི་རྒྱུན་འགལ།",
                sysException: "རྒྱུད་ཁོངས་རྒྱུན་འགལ།",
                warning: "ཐ་ཚིག་",
                wrong: "ནོར་འཁྲུལ།",
                rulesException: "གྲངས་ཐང་སྒྲིག་སྲོལ་དག་བཤེར་རྒྱུན་འགལ།",
                saveSuccess: "ཉར་ཚགས་ལེགས་འགྲུབ་བྱུང་།",
                saveFailed: "ཉར་ཚགས་ཕམ་པ།",
                deleteSuccess: "སུབ་པ་གྲུབ་འབྲས་ཐོབ་པའི་ངང་",
                deleteError: "སུབ་པ་ཕམ་པ།",
                delDataFail: "བསུབ་པའི་གཞི་གྲངས་ཕམ་པ།",
                noData: "གནས་སྐབས་གཞི་གྲངས་མེད་པ་",
                startsuccess:"འགོ་སློང་ལེགས་གྲུབ་",
                loadmore:"མང་ཙམ་བླུགས་རོགས།",
                nomore:"དེ་ལས་མང་བ་མི་འདུག",
                other:"གཞན་དག",
                valueNotEmpty:"སྟོང་མི་ཆོག",
            },
            local:{
                new: "གསར་འཛུགས།",
                add: "སྣོན་པ་",
            },
            gridpage: {
                choicecolumns: "གདམ་གསེས་གཞུང་སྟར།",
                refresh: "གསར་འདོན་",
                show: "མངོན་པ་",
                records: "ལྕུག་མ།",
                totle: "མཉམ་དུ།",
                valueVail: "སྟོང་མི་ཆོག",
                group:"ཚོ་བགོས་",
                other:"གཞན་དག",
                notConfig: {
                    fetchAction: "མཐོང་རིས་རེའུ་མིགfetchActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    removeAction: "མཐོང་རིས་རེའུ་མིགremoveActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    createAction: "མཐོང་རིས་རེའུ་མིགcreateActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    updateAction: "མཐོང་རིས་རེའུ་མིགupdateActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    loaddraftAction: "མཐོང་རིས་རེའུ་མིགloaddraftActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                },
                data: "གཞི་གྲངས།",
                delDataFail: "བསུབ་པའི་གཞི་གྲངས་ཕམ་པ།",
                delSuccess: "ལེགས་པར་སུབ་པ།",
                confirmDel: "ངོས་འཛིན་བསུབ་དགོས་།",
                notRecoverable: "བསུབ་པའི་བཀོལ་སྤྱོད་སླར་གསོ་བྱེད་མི་ཐུབ།",
                notBatch: "སྡེབ་འབོར་སྦྱོར་རྟ་མངོན་འགྱུར་བྱུང་མེད་།",
                grid: "རེའུ་མིག",
                exportFail: "གཞི་གྲངས་ཕྱིར་འདྲེན་ཕམ་པ།",
                sum: "བསྡོམས་འབོར་",
                formitemFailed: "རེའུ་མིག་ཁེར་རྐྱང་གསར་སྒྱུར་ཕམ་སོང་།",
            },
            list: {
                notConfig: {
                    fetchAction: "མཐོང་རིས་རེའུ་མིག་fetchActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ།",
                    removeAction: "མཐོང་རིས་རེའུ་མིག་removeActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད།",
                    createAction: "མཐོང་རིས་རེའུ་མིག་createActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    updateAction: "མཐོང་རིས་རེའུ་མིག་updateActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ།",
                },
                confirmDel: "ངོས་འཛིན་བསུབ་དགོས་།",
                notRecoverable: "བསུབ་པའི་བཀོལ་སྤྱོད་སླར་གསོ་བྱེད་མི་ཐུབ།",
            },
            listExpBar: {
                title: "རེའུ་མིག་ཕྱོགས་སྟོན་སྡེ་",
            },
            wfExpBar: {
                title: "རྒྱུན་རིམ་ཕྱོགས་སྟོན་སྡེ་",
            },
            calendarExpBar:{
                title: "ལོ་ཐོ་ཕྱོགས་ཁྲིད་སྡེ་",
            },
            treeExpBar: {
                title: "སྡོང་མཐོང་པར་རིས་ཕྱོགས་སྟོན།",
            },
            portlet: {
                noExtensions: "རྒྱ་སྐྱེད་མེད་པའི་བསྒར་ལྷུ།",
            },
            tabpage: {
                sureclosetip: {
                    title: "སྒོ་རྒྱག་དྲན་སྐུལ་",
                    content: "རེའུ་མིག་གི་གཞི་གྲངས་ལ་བཟོ་བཅོས་བྱས་ཟིན།སྒོ་རྒྱག་རྒྱུ་གཏན་འཁེལ་བྱས།",
                },
                closeall: "ཡོད་ཚད་ཁ་རྒྱག",
                closeother: "གཞན་དག་སྒོ་རྒྱག་།",
            },
            fileUpload: {
                caption: "ཡར་བསྐུར་",
            },
            searchButton: {
                search: "བཤེར་འཚོལ་",
                reset: "བསྐྱར་འཇོག",
            },
            calendar:{
            today: "དེ་རིང་",
            month: "ཟླ་བ།",
            week: "གཟའ་འཁོར།",
            day: "གནམ་",
            list: "གཞུང་།",
            dateSelectModalTitle: "བདམས་ནས་མཆོང་བའི་དུས་ཚོད་།",
            gotoDate: "མཆོང་བ།མཆོང་བ།",
            from: "ནས།",
            to: "སླེབས་པ་",
            },
            // 非实体视图
            views: {
                appportalview2: {
                    caption: commonLogic.appcommonhandle("门户部件",null),
                    title: commonLogic.appcommonhandle("门户部件",null),
                },
                index: {
                    caption: commonLogic.appcommonhandle("R7 Vue示例",null),
                    title: commonLogic.appcommonhandle("",null),
                },
                apppanelview: {
                    caption: commonLogic.appcommonhandle("",null),
                    title: commonLogic.appcommonhandle("应用面板视图",null),
                },
                appportalview: {
                    caption: commonLogic.appcommonhandle("工作台",null),
                    title: commonLogic.appcommonhandle("工作台",null),
                },
                apploginview: {
                    caption: commonLogic.appcommonhandle("应用登录视图",null),
                    title: commonLogic.appcommonhandle("应用登录视图",null),
                },
            },
            utilview:{
                importview:"ནང་འདྲེན་གཞི་གྲངས།",
                warning:"ཐ་ཚིག་",
                info:"གཞི་གྲངས་ནང་འདྲེན་རྣམ་གྲངས་བཀོད་སྒྲིག་བྱེད་རོགས་།" 
            },
            menus: {
                quickmenubar: {
                    menuitem1: commonLogic.appcommonhandle("应用菜单",null),
                    menuitem2: commonLogic.appcommonhandle("打开文档",null),
                },
                iconmenu: {
                    menuitem1: commonLogic.appcommonhandle("菜单1",null),
                    menuitem6: commonLogic.appcommonhandle("菜单项",null),
                    menuitem9: commonLogic.appcommonhandle("菜单项",null),
                    menuitem10: commonLogic.appcommonhandle("菜单项",null),
                    menuitem2: commonLogic.appcommonhandle("菜单2",null),
                    menuitem7: commonLogic.appcommonhandle("菜单项",null),
                    menuitem3: commonLogic.appcommonhandle("菜单3",null),
                    menuitem8: commonLogic.appcommonhandle("菜单项",null),
                    menuitem4: commonLogic.appcommonhandle("菜单4",null),
                    menuitem5: commonLogic.appcommonhandle("菜单5",null),
                },
                mainmenu: {
                    menuitem1: commonLogic.appcommonhandle("工作台",null),
                    menuitem3: commonLogic.appcommonhandle("控件",null),
                    menuitem6: commonLogic.appcommonhandle("默认数据类型",null),
                    menuitem7: commonLogic.appcommonhandle("默认编辑器类型",null),
                    menuitem72: commonLogic.appcommonhandle("扩展编辑器",null),
                    menuitem65: commonLogic.appcommonhandle("微服务组件",null),
                    menuitem151: commonLogic.appcommonhandle("编辑器插件示例",null),
                    menuitem4: commonLogic.appcommonhandle("部件",null),
                    menuitem112: commonLogic.appcommonhandle("应用类",null),
                    menuitem186: commonLogic.appcommonhandle("数据看板",null),
                    menuitem129: commonLogic.appcommonhandle("门户部件",null),
                    menuitem156: commonLogic.appcommonhandle("表单类",null),
                    menuitem12: commonLogic.appcommonhandle("编辑表单",null),
                    menuitem15: commonLogic.appcommonhandle("基础表单项",null),
                    menuitem107: commonLogic.appcommonhandle("内置功能",null),
                    menuitem47: commonLogic.appcommonhandle("新建默认值",null),
                    menuitem99: commonLogic.appcommonhandle("更新默认值",null),
                    menuitem48: commonLogic.appcommonhandle("输入提示",null),
                    menuitem49: commonLogic.appcommonhandle("辅助输入",null),
                    menuitem50: commonLogic.appcommonhandle("自动填充",null),
                    menuitem51: commonLogic.appcommonhandle("超链接",null),
                    menuitem52: commonLogic.appcommonhandle("表单值重置",null),
                    menuitem55: commonLogic.appcommonhandle("动态显示",null),
                    menuitem53: commonLogic.appcommonhandle("动态启用",null),
                    menuitem54: commonLogic.appcommonhandle("动态空输入",null),
                    menuitem56: commonLogic.appcommonhandle("表单项更新",null),
                    menuitem108: commonLogic.appcommonhandle("表单值规则",null),
                    menuitem16: commonLogic.appcommonhandle("搜索表单",null),
                    menuitem157: commonLogic.appcommonhandle("导航类",null),
                    menuitem120: commonLogic.appcommonhandle("分页导航",null),
                    menuitem128: commonLogic.appcommonhandle("表格导航",null),
                    menuitem114: commonLogic.appcommonhandle("列表导航",null),
                    menuitem137: commonLogic.appcommonhandle("卡片导航",null),
                    menuitem136: commonLogic.appcommonhandle("树导航",null),
                    menuitem138: commonLogic.appcommonhandle("日历导航",null),
                    menuitem139: commonLogic.appcommonhandle("时间轴导航",null),
                    menuitem20: commonLogic.appcommonhandle("数据关系分页",null),
                    menuitem117: commonLogic.appcommonhandle("数据关系分页（上下关系）",null),
                    menuitem118: commonLogic.appcommonhandle("数据关系分页（分页关系）",null),
                    menuitem116: commonLogic.appcommonhandle(" 数据关系栏",null),
                    menuitem158: commonLogic.appcommonhandle("面板类",null),
                    menuitem145: commonLogic.appcommonhandle("选择视图面板",null),
                    menuitem17: commonLogic.appcommonhandle("向导面板",null),
                    menuitem134: commonLogic.appcommonhandle("基础用法",null),
                    menuitem135: commonLogic.appcommonhandle("状态属性",null),
                    menuitem121: commonLogic.appcommonhandle("多编辑视图面板",null),
                    menuitem115: commonLogic.appcommonhandle("多表单（行记录）",null),
                    menuitem123: commonLogic.appcommonhandle("多表单（上分页）",null),
                    menuitem119: commonLogic.appcommonhandle("多数据类",null),
                    menuitem13: commonLogic.appcommonhandle("表格",null),
                    menuitem57: commonLogic.appcommonhandle("禁用排序",null),
                    menuitem59: commonLogic.appcommonhandle("行操作",null),
                    menuitem58: commonLogic.appcommonhandle("行编辑",null),
                    menuitem73: commonLogic.appcommonhandle("内置功能",null),
                    menuitem74: commonLogic.appcommonhandle("表格行编辑",null),
                    menuitem75: commonLogic.appcommonhandle("新建默认值",null),
                    menuitem76: commonLogic.appcommonhandle("更新默认值",null),
                    menuitem77: commonLogic.appcommonhandle("表格值规则",null),
                    menuitem132: commonLogic.appcommonhandle("表格列更新",null),
                    menuitem133: commonLogic.appcommonhandle("表格列重置",null),
                    menuitem78: commonLogic.appcommonhandle("自动分组",null),
                    menuitem80: commonLogic.appcommonhandle("代码表分组",null),
                    menuitem81: commonLogic.appcommonhandle("当前页聚合",null),
                    menuitem82: commonLogic.appcommonhandle("远程聚合",null),
                    menuitem83: commonLogic.appcommonhandle("列表",null),
                    menuitem84: commonLogic.appcommonhandle("内置功能",null),
                    menuitem85: commonLogic.appcommonhandle("自动分组",null),
                    menuitem86: commonLogic.appcommonhandle("代码表分组",null),
                    menuitem91: commonLogic.appcommonhandle("项布局面板",null),
                    menuitem143: commonLogic.appcommonhandle("自定义插件",null),
                    menuitem95: commonLogic.appcommonhandle("日历",null),
                    menuitem96: commonLogic.appcommonhandle("内置功能",null),
                    menuitem97: commonLogic.appcommonhandle("时间轴样式",null),
                    menuitem109: commonLogic.appcommonhandle("项布局面板",null),
                    menuitem64: commonLogic.appcommonhandle("自定义插件",null),
                    menuitem14: commonLogic.appcommonhandle("树视图",null),
                    menuitem60: commonLogic.appcommonhandle("静态节点",null),
                    menuitem61: commonLogic.appcommonhandle("动态节点（代码表）",null),
                    menuitem62: commonLogic.appcommonhandle("动态节点（实体）",null),
                    menuitem63: commonLogic.appcommonhandle("右键操作",null),
                    menuitem111: commonLogic.appcommonhandle("甘特图",null),
                    menuitem110: commonLogic.appcommonhandle("树表格",null),
                    menuitem87: commonLogic.appcommonhandle("数据视图",null),
                    menuitem88: commonLogic.appcommonhandle("内置功能",null),
                    menuitem89: commonLogic.appcommonhandle("自动分组",null),
                    menuitem90: commonLogic.appcommonhandle("代码表分组",null),
                    menuitem94: commonLogic.appcommonhandle("项布局面板",null),
                    menuitem152: commonLogic.appcommonhandle("自定义插件",null),
                    menuitem101: commonLogic.appcommonhandle("看板视图",null),
                    menuitem102: commonLogic.appcommonhandle("内置功能",null),
                    menuitem104: commonLogic.appcommonhandle("代码表分组",null),
                    menuitem105: commonLogic.appcommonhandle("项布局面板",null),
                    menuitem37: commonLogic.appcommonhandle("数据图表",null),
                    menuitem38: commonLogic.appcommonhandle("柱状图",null),
                    menuitem39: commonLogic.appcommonhandle("折线图",null),
                    menuitem40: commonLogic.appcommonhandle("饼图",null),
                    menuitem41: commonLogic.appcommonhandle("区域图",null),
                    menuitem42: commonLogic.appcommonhandle("雷达图",null),
                    menuitem5: commonLogic.appcommonhandle("视图",null),
                    menuitem140: commonLogic.appcommonhandle("单数据视图",null),
                    menuitem161: commonLogic.appcommonhandle("实体向导视图",null),
                    menuitem8: commonLogic.appcommonhandle("实体编辑视图",null),
                    menuitem162: commonLogic.appcommonhandle("实体编辑视图（分页关系）",null),
                    menuitem163: commonLogic.appcommonhandle("实体编辑视图（上下关系）",null),
                    menuitem164: commonLogic.appcommonhandle("实体编辑视图（左右关系）",null),
                    menuitem165: commonLogic.appcommonhandle("实体分页导航视图",null),
                    menuitem166: commonLogic.appcommonhandle("实体数据看板视图",null),
                    menuitem167: commonLogic.appcommonhandle("实体选项操作视图",null),
                    menuitem141: commonLogic.appcommonhandle("多数据视图",null),
                    menuitem79: commonLogic.appcommonhandle("实体表格视图",null),
                    menuitem168: commonLogic.appcommonhandle("实体多表单编辑视图",null),
                    menuitem169: commonLogic.appcommonhandle("实体甘特视图",null),
                    menuitem9: commonLogic.appcommonhandle("实体列表视图",null),
                    menuitem170: commonLogic.appcommonhandle("实体日历视图",null),
                    menuitem171: commonLogic.appcommonhandle("实体看板视图",null),
                    menuitem172: commonLogic.appcommonhandle("实体树表格视图",null),
                    menuitem173: commonLogic.appcommonhandle("实体树视图",null),
                    menuitem174: commonLogic.appcommonhandle("实体数据视图",null),
                    menuitem175: commonLogic.appcommonhandle("实体图表视图",null),
                    menuitem10: commonLogic.appcommonhandle("导航视图",null),
                    menuitem176: commonLogic.appcommonhandle("实体表格导航视图",null),
                    menuitem177: commonLogic.appcommonhandle("实体列表导航视图",null),
                    menuitem178: commonLogic.appcommonhandle("实体卡片导航视图",null),
                    menuitem179: commonLogic.appcommonhandle("实体日历导航视图",null),
                    menuitem180: commonLogic.appcommonhandle("实体树导航视图",null),
                    menuitem26: commonLogic.appcommonhandle("选择视图",null),
                    menuitem18: commonLogic.appcommonhandle("数据选择视图",null),
                    menuitem27: commonLogic.appcommonhandle("索引选择视图",null),
                    menuitem69: commonLogic.appcommonhandle("工作流",null),
                    menuitem30: commonLogic.appcommonhandle("工作流动态导航视图",null),
                    menuitem31: commonLogic.appcommonhandle("工作流启动",null),
                    menuitem21: commonLogic.appcommonhandle("工作流动态操作视图",null),
                    menuitem11: commonLogic.appcommonhandle("其他视图",null),
                    menuitem98: commonLogic.appcommonhandle("自定义视图",null),
                    menuitem153: commonLogic.appcommonhandle("逻辑",null),
                    menuitem154: commonLogic.appcommonhandle("应用功能",null),
                    menuitem127: commonLogic.appcommonhandle("打开应用视图",null),
                    menuitem147: commonLogic.appcommonhandle("打开HTML页面",null),
                    menuitem160: commonLogic.appcommonhandle("执行JavaScript",null),
                    menuitem155: commonLogic.appcommonhandle("界面行为",null),
                    menuitem181: commonLogic.appcommonhandle("前台界面行为",null),
                    menuitem182: commonLogic.appcommonhandle("后台界面行为",null),
                    menuitem2: commonLogic.appcommonhandle("更多",null),
                    menuitem19: commonLogic.appcommonhandle("临时模式",null),
                    menuitem46: commonLogic.appcommonhandle("数据导出导入",null),
                    menuitem67: commonLogic.appcommonhandle("索引实体",null),
                    menuitem184: commonLogic.appcommonhandle("主状态",null),
                    menuitem70: commonLogic.appcommonhandle("表格主状态",null),
                    menuitem148: commonLogic.appcommonhandle("列表主状态",null),
                    menuitem183: commonLogic.appcommonhandle("数据主状态",null),
                    menuitem28: commonLogic.appcommonhandle("日历主状态",null),
                    menuitem29: commonLogic.appcommonhandle("树主状态",null),
                    menuitem22: commonLogic.appcommonhandle("测试",null),
                    menuitem23: commonLogic.appcommonhandle("卡片导航",null),
                    menuitem24: commonLogic.appcommonhandle("表单嵌入卡片视图",null),
                    menuitem25: commonLogic.appcommonhandle("关系界面刷新主表单",null),
                },
            },
            formpage:{
                desc1: "བཀོལ་སྤྱོད་མ་ཐུབ་པར་མིག་སྔའི་རེའུ་མིག་གི་རྣམ་གྲངས་རྐྱང་པ་རྙེད་མ་ཐུབ་པ།",
                desc2: "མུ་མཐུད་དུ་བཀོལ་སྤྱོད་བྱེད་ཐབས་མེད།",
                notconfig: {
                    loadaction: "མཐོང་རིས་རེའུ་མིགloadActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    loaddraftaction: "མཐོང་རིས་རེའུ་མིག loaddraftActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    actionname: "མཐོང་རིས་རེའུ་མིག'+actionName+'ཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    removeaction: "མཐོང་རིས་རེའུ་མིགremoveActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                },
                saveerror: "གཞི་གྲངས་ཉར་ཚགས་ནོར་འཁྲུལ་བྱུང་བ་",
                savecontent: "གྲངས་གཞི་གཅིག་པ་མ་རེད།ཕལ་ཆེར་རྒྱབ་སྟེགས་ཀྱི་གྲངས་གཞི་བཟོ་བཅོས་བརྒྱབ་ཟིན་པས།གཞི་གྲངས་བསྐྱར་དུ་སྣོན་དགོས་སམ།",
                valuecheckex: "གྲངས་ཐང་སྒྲིག་སྲོལ་དག་བཤེར་རྒྱུན་འགལ།",
                savesuccess: "ཉར་ཚགས་ལེགས་འགྲུབ་བྱུང་།",
                deletesuccess: "ལེགས་འགྲུབ་བསུབ་པ།",  
                workflow: {
                    starterror: "ལས་ཀའི་རྒྱུན་འགོ་སློང་ཕམ་པ།",
                    startsuccess: "ལས་ཀའི་རྒྱུན་གྱི་འགོ་སློང་ཐུབ་པ།",
                    submiterror: "ལས་དོན་ཡར་ཕུལ་ཕམ་།",
                    submitsuccess: "ལས་ཀའི་རྒྱུན་ལ་ཕུལ་གྲུབ་འབྲས་ཐོབ་པའི་ངང་།",
                },
                updateerror: "རེའུ་མིག་ཁེར་རྐྱང་གསར་སྒྱུར་ཕམ་སོང་།",     
            },
            gridBar: {
                title: "རེའུ་མིག་ཕྱོགས་སྟོན།",
            },
            multiEditView: {
                notConfig: {
                    fetchAction: "མཐོང་རིས་མང་བའི་རྩོམ་སྒྲིག་མཐོང་རིས་ངོས་པང་fetchActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    loaddraftAction: "མཐོང་རིས་མང་བའི་རྩོམ་སྒྲིག་མཐོང་རིས་ངོས་པང་loaddraftActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                },
            },
            dataViewExpBar: {
                title: "ཁཱ་མཐོང་རིས་ཕྱོགས་སྟོན།",
            },
            kanban: {
                notConfig: {
                    fetchAction: "མཐོང་རིས་རེའུ་མིག་fetchActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    removeAction: "མཐོང་རིས་རེའུ་མིགremoveActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                },
                delete1: "ངོས་འཛིན་བསུབ་དགོས་།",
                delete2: "བསུབ་པའི་བཀོལ་སྤྱོད་སླར་གསོ་བྱེད་མི་ཐུབ།",
                fold: "ལྟེབ་",
                unfold: "བཀྲམ་པ་",
            },
            dashBoard: {
                handleClick: {
                    title: "ངོས་པང་ཇུས་འགོད་",
                },
            },
            dataView: {
                sum: "མཉམ་དུ།",
                data: "དོན་ཚན་གཞི་གྲངས།",
            },
            chart: {
                undefined: "མཚན་ཉིད་མ་བཞག་པ།",
                quarter: "དུས་ཚིགས་",   
                year: "ལོ་",
            },
            searchForm: {
                notConfig: {
                    loadAction: "མཐོང་རིས་བཤེར་འཚོལ་རེའུ་མིགloadActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                    loaddraftAction: "མཐོང་རིས་བཤེར་འཚོལ་རེའུ་མིགloaddraftActionཞུགས་གྲངས་བཀོད་སྒྲིག་བྱས་མེད་པ་",
                },
                custom: "གསོག་འཇོག་མཚན་ཉིད་རང་འདྲི་",
                title: "མིང་།",
            },
            wizardPanel: {
                back: "གོམ་གང་སྔོན་མ།",
                next: "གོམ་པ་རྗེས་མ་",
                complete: "གྲུབ་པ་",
                preactionmessage:"བཀོད་སྒྲིག་མེད་པར་རྩིས་རྒྱག་སྐབས་རྐང་ཐང་མར་འགྲོ་དགོས།"
            },
            viewLayoutPanel: {
                appLogoutView: {
                    prompt1: "གུས་པར་འོས་པའི་མཁོ་མཁན་ཁྱེད་རང་གི་གྲུབ་འབྲས་ཐོབ་པའི་ངང་ཕྱིར་འཐེན་མ་ལག་དང་།མ་འོངས་པར་།",
                    prompt2: "སྐར་ཆ་རྗེས་མཆོང་ནས་",
                    logingPage: "ཐོ་འཇུག་ལྡེབ་ངོས།",
                },
                appWfstepTraceView: {
                    title: "ཉེར་སྤྱོད་རྒྱུན་རིམ་སྒྲིག་གཅོད་ཟིན་ཐོའི་མཐོང་རིས་",
                },
                appWfstepDataView: {
                    title: "ཉེར་སྤྱོད་རྒྱུན་རིམ་རྗེས་འདེད་མཐོང་རིས་",
                },
                appLoginView: {
                    username: "སྤྱོད་མཁན་གྱི་མིང་",
                    password: "གསང་ཨང་",
                    login: "ཐོ་འགོད།",
                },
            },
        },
        entities: {
            ibizbook: ibizbook_BO_CN(),
            ibizsample0019: ibizsample0019_BO_CN(),
            ibizsample0009: ibizsample0009_BO_CN(),
            ibizcustom: ibizcustom_BO_CN(),
            ibizhardware: ibizhardware_BO_CN(),
            ibizsample0020: ibizsample0020_BO_CN(),
            ibizsample0017: ibizsample0017_BO_CN(),
            microcomponent: microcomponent_BO_CN(),
            ibizsample0013: ibizsample0013_BO_CN(),
            ibizorderdetail: ibizorderdetail_BO_CN(),
            ibizsample0003: ibizsample0003_BO_CN(),
            ibizsample0006: ibizsample0006_BO_CN(),
            ibizsample0021: ibizsample0021_BO_CN(),
            ibizappctrl: ibizappctrl_BO_CN(),
            ibizsoftwaresuit: ibizsoftwaresuit_BO_CN(),
            ibiztaskteam: ibiztaskteam_BO_CN(),
            ibizsample0012: ibizsample0012_BO_CN(),
            ibizordertype: ibizordertype_BO_CN(),
            ibizsample0005: ibizsample0005_BO_CN(),
            ibizappeditor: ibizappeditor_BO_CN(),
            ibizaccount: ibizaccount_BO_CN(),
            ibizorder: ibizorder_BO_CN(),
            ibizsample: ibizsample_BO_CN(),
            ibizcustomer: ibizcustomer_BO_CN(),
            ibizcustomermg: ibizcustomermg_BO_CN(),
            ibizsample0014: ibizsample0014_BO_CN(),
            ibizsample0010: ibizsample0010_BO_CN(),
            ibizappview: ibizappview_BO_CN(),
            ibizsample0018: ibizsample0018_BO_CN(),
            ibizsample0015: ibizsample0015_BO_CN(),
            ibizsample0001: ibizsample0001_BO_CN(),
            ibizcustomer_intf: ibizcustomer_intf_BO_CN(),
            ibizsample0007: ibizsample0007_BO_CN(),
            ibizsample0004: ibizsample0004_BO_CN(),
            ibizsample0008: ibizsample0008_BO_CN(),
            ibizappextendeditor: ibizappextendeditor_BO_CN(),
            ibizcpu: ibizcpu_BO_CN(),
            ibizsample0002: ibizsample0002_BO_CN(),
            ibizstorage: ibizstorage_BO_CN(),
            ibizsupplier: ibizsupplier_BO_CN(),
            ibiztask: ibiztask_BO_CN(),
            dynadashboard: dynadashboard_BO_CN(),
            ibizuniproduct: ibizuniproduct_BO_CN(),
            ibizsample0011: ibizsample0011_BO_CN(),
            ibizsample0016: ibizsample0016_BO_CN(),
        },
        components: components_BO_CN(),
        codelist: codelist_BO_CN(),
        userCustom: userCustom_BO_CN(),
    };
    return data;
}
export default getAppLocale;